SQL and Oracle

Question

What versions of Microsoft SQL Server and Oracle are required for Privileged Identity?

Answer

Privileged Identity can use Microsoft SQL (MS SQL) or Oracle databases. All other Privileged Identity Suite products with the ability to use a database are limited to using only Microsoft databases.

Production Environments

  • Oracle 11g
  • MS SQL Server 2016
  • MS SQL Server 2014
  • MS SQL Server 2012
  • MS SQL Server 2008 R2
  • MS SQL Server 2008
  • MS SQL Server 2005

Testing Environments

  • Any of the systems listed above
  • MS SQL Server 2016 Express
  • MS SQL Server 2014 Express
  • MS SQL Server 2012 Express
  • MS SQL Server 2008 R2 Express
  • MS SQL Server 2008 Express

The Privileged Identity Suite can use an existing installation of MS SQL Server or Oracle. It does not require its own instance; however, it is recommended for it to have its own instance. Both 32-bit and 64-bit versions of the databases are supported.